CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

OpenFoam1.6 Installation in Ubuntu9.10

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   January 1, 2010, 10:47
Default OpenFoam1.6 Installation in Ubuntu9.10
  #1
New Member
 
mohanvelin's Avatar
 
Mohanavelu Palaniswamy
Join Date: Jan 2010
Location: Chennai, TamilNadu, India
Posts: 2
Rep Power: 0
mohanvelin is on a distinguished road
I have run the foamInstallationTest, I have got 1 critical error regarding gcc version mismatch . I like to know how to overcome the critical error.
Code:
Executing /home/mohanavelu/OpenFOAM/OpenFOAM-1.6/bin/foamInstallationTest:


Checking basic setup...
-------------------------------------------------------------------------------
Shell:              bash
Host:               mohanavelu-laptop
OS:                 Linux version 2.6.31-16-generic
-------------------------------------------------------------------------------


Checking main OpenFOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory                Valid      Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /home/mohanavelu/OpenFOAM                yes       yes
$WM_PROJECT_USER_DIR /home/mohanavelu/OpenFOAM/mohanavelu-1.6  no        no
$WM_THIRD_PARTY_DIR  /home/mohanavelu/OpenFOAM/ThirdParty-1.6  yes       yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory                Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR      /home/mohanavelu/OpenFOAM/OpenFOAM-1.6   yes  yes  yes

$FOAM_APPBIN         ...M-1.6/applications/bin/linuxGccDPOpt  yes  yes  yes
$FOAM_SITE_APPBIN    .../OpenFOAM/site/1.6/bin/linuxGccDPOpt  no        no
$FOAM_USER_APPBIN    ...u-1.6/applications/bin/linuxGccDPOpt  no        no
$WM_DIR              ...hanavelu/OpenFOAM/OpenFOAM-1.6/wmake  yes  yes  yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory                Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN         ...nFOAM/OpenFOAM-1.6/lib/linuxGccDPOpt  yes  yes  yes
$FOAM_SITE_LIBBIN    .../OpenFOAM/site/1.6/lib/linuxGccDPOpt  no        no
$FOAM_USER_LIBBIN    ...OAM/mohanavelu-1.6/lib/linuxGccDPOpt  no        no
$MPI_ARCH_PATH       ...penmpi-1.3.3/platforms/linuxGccDPOpt  yes  yes  yes
-------------------------------------------------------------------------------


Third party software
-------------------------------------------------------------------------------
Software Version   Location 
-------------------------------------------------------------------------------
WARNING: gcc version does not match gcc supplied with this release of OpenFOAM
         Supplied version: 4.3.3
         User version    : 4.4.1
         Minimum required: 4.3.1

gcc      4.4.1    
WARNING:  Conflicting installations:
          OpenFOAM settings        : /bin/gcc
          current path             : /usr/bin/gcc
          CRITICAL ERROR

gzip     1.3.12    /bin/gzip                                                
tar      1.22      /bin/tar                                                 
Aborted
icoFoam  1.6       ...AM/OpenFOAM-1.6/applications/bin/linuxGccDPOpt/icoFoam
-------------------------------------------------------------------------------


Summary
-------------------------------------------------------------------------------
Base configuration ok.

The foam installation contains 1 critical error(s).

Review the output for warning messages and consult 
the installation guide for trouble shooting.

done.
mohanvelin is offline   Reply With Quote

Old   January 2, 2010, 06:51
Default
  #2
New Member
 
Tamás Baksa
Join Date: Dec 2009
Location: Budapest, Hungary
Posts: 2
Rep Power: 0
tamas.baksa.hu is on a distinguished road
I am on openSuse 11.2 but have the same problem

I had an other problem described in an other thread here
so I set the compilerInstall=System (line 98 in file /.../OpenFOAM-1.6/etc/settings.sh) based on recommendation by grig
after that foamInstallationTest gives the error you have

so you could try to set compilerInstall=OpenFOAM and try whether foamInstallationTest and any application that uses gcc (kde, gnuplot) can run as well

Last edited by tamas.baksa.hu; January 2, 2010 at 06:52. Reason: grammar
tamas.baksa.hu is offline   Reply With Quote

Old   January 2, 2010, 11:58
Default OpenFOAM Installation
  #3
New Member
 
mohanvelin's Avatar
 
Mohanavelu Palaniswamy
Join Date: Jan 2010
Location: Chennai, TamilNadu, India
Posts: 2
Rep Power: 0
mohanvelin is on a distinguished road
Sir, I have made changes as proposed by you in two file
/OpenFOAM-1.6/etc/setting.sh
as well as
/OpenFOAM-1.6/etc/setting.csh
mohanvelin is offline   Reply With Quote

Reply

Tags
openfoam 1.6

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
CFX11 + Fortran compiler ? Mohan CFX 20 March 30, 2011 18:56
Installation problems indy OpenFOAM Installation 7 April 3, 2009 09:40
64bitrhel5 OF installation instructions mirko OpenFOAM Installation 2 August 12, 2008 18:07
Problem in installation of OpenFOAM sachin OpenFOAM Installation 7 January 22, 2008 02:40
Installation problems shellbell1999 OpenFOAM Installation 9 April 6, 2006 13:29


All times are GMT -4. The time now is 21:55.